Tonyu.klass.define({
  fullName: 'user.AI',
  shortName: 'AI',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_AI_main() {
        "use strict";
        var _this=this;
        
        while (true) {
          Tonyu.checkLoop();
          if (! _this.hasManualPath) {
            if (_this.player.speed>2) {
              _this.s=_this.findSeed();
              if (_this.s) {
                _this.queue=[];
                _this.rect(_this.s);
                _this.setTarget();
                
              }
              
            }
            
          }
          _this.update();
          
        }
      },
      fiber$main :function* _trc_AI_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        
        while (true) {
          yield null;
          if (! _this.hasManualPath) {
            if (_this.player.speed>2) {
              _this.s=(yield* _this.fiber$findSeed(_thread));
              if (_this.s) {
                _this.queue=[];
                (yield* _this.fiber$rect(_thread, _this.s));
                (yield* _this.fiber$setTarget(_thread));
                
              }
              
            }
            
          }
          (yield* _this.fiber$update(_thread));
          
        }
        
      },
      onAppear :function _trc_AI_onAppear() {
        "use strict";
        var _this=this;
        
        _this.queue=[];
        _this.rect();
        _this.setTarget();
        _this.player.on("arriveTarget",(function anonymous_88() {
          
          if (_this.hasManualPath) {
            _this.queue.shift();
            if (! _this.hasManualPath) {
              _this.queue=[];
            }
            
          } else {
            _this.queue.shift();
            
          }
          if (_this.queue.length==0) {
            _this.rect();
          }
          _this.setTarget();
        }));
      },
      fiber$onAppear :function* _trc_AI_f_onAppear(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        
        _this.queue=[];
        (yield* _this.fiber$rect(_thread));
        (yield* _this.fiber$setTarget(_thread));
        _this.player.on("arriveTarget",(function anonymous_88() {
          
          if (_this.hasManualPath) {
            _this.queue.shift();
            if (! _this.hasManualPath) {
              _this.queue=[];
            }
            
          } else {
            _this.queue.shift();
            
          }
          if (_this.queue.length==0) {
            _this.rect();
          }
          _this.setTarget();
        }));
        
      },
      clearPath :function _trc_AI_clearPath() {
        "use strict";
        var _this=this;
        
        _this.queue=[];
      },
      fiber$clearPath :function* _trc_AI_f_clearPath(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        
        _this.queue=[];
        
      },
      addManualPath :function _trc_AI_addManualPath(x,y) {
        "use strict";
        var _this=this;
        var cand;
        var ox;
        var oy;
        var d;
        var score;
        var s;
        var lp;
        var pd;
        var xy;
        var yx;
        var sgx;
        var sgy;
        
        if (! _this.hasManualPath) {
          _this.queue=[];
        }
        cand = [];
        
        for (ox = - 1;
         ox<=1 ; ox++) {
          Tonyu.checkLoop();
          {
            for (oy = - 1;
             oy<=1 ; oy++) {
              Tonyu.checkLoop();
              {
                d = _this.pathAddable(x+ox,y+oy);
                
                if (d) {
                  score = 10-d;
                  
                  s = Tonyu.globals.$seed.get(x+ox,y+oy);
                  
                  if (s) {
                    if (s.active) {
                      score+=5;
                    } else {
                      score-=5;
                    }
                    
                  }
                  cand.push({x: x+ox,y: y+oy,score: score,manual: true});
                  
                }
              }
            }
          }
        }
        cand=cand.sort((function anonymous_1116(a,b) {
          
          return b.score-a.score;
        }));
        if (cand.length>0) {
          lp = _this.pathHead;
          
          if (lp.x!=cand[0].x&&lp.y!=cand[0].y) {
            pd = _this.pathDir;
            
            xy = {x: cand[0].x,y: lp.y,manual: true};
            
            yx = {x: lp.x,y: cand[0].y,manual: true};
            
            sgx = (xy.x-lp.x)*pd.vx;
            
            sgy = (yx.y-lp.y)*pd.vy;
            
            if (sgx>0) {
              _this.queue.push(xy);
              
            } else {
              if (sgy>0) {
                _this.queue.push(yx);
                
              } else {
                if (sgx==0) {
                  _this.queue.push(xy);
                  
                } else {
                  _this.queue.push(yx);
                  
                }
              }
            }
            
          }
          _this.queue.push(cand[0]);
          Tonyu.globals.$sound.playSE(Tonyu.globals.$se_click);
          
        }
      },
      fiber$addManualPath :function* _trc_AI_f_addManualPath(_thread,x,y) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var cand;
        var ox;
        var oy;
        var d;
        var score;
        var s;
        var lp;
        var pd;
        var xy;
        var yx;
        var sgx;
        var sgy;
        
        if (! _this.hasManualPath) {
          _this.queue=[];
        }
        cand = [];
        
        for (ox = - 1;
         ox<=1 ; ox++) {
          yield null;
          {
            for (oy = - 1;
             oy<=1 ; oy++) {
              yield null;
              {
                d=yield* _this.fiber$pathAddable(_thread, x+ox, y+oy);
                
                if (d) {
                  score = 10-d;
                  
                  s = Tonyu.globals.$seed.get(x+ox,y+oy);
                  
                  if (s) {
                    if (s.active) {
                      score+=5;
                    } else {
                      score-=5;
                    }
                    
                  }
                  cand.push({x: x+ox,y: y+oy,score: score,manual: true});
                  
                }
              }
            }
          }
        }
        cand=cand.sort((function anonymous_1116(a,b) {
          
          return b.score-a.score;
        }));
        if (cand.length>0) {
          lp = _this.pathHead;
          
          if (lp.x!=cand[0].x&&lp.y!=cand[0].y) {
            pd = _this.pathDir;
            
            xy = {x: cand[0].x,y: lp.y,manual: true};
            
            yx = {x: lp.x,y: cand[0].y,manual: true};
            
            sgx = (xy.x-lp.x)*pd.vx;
            
            sgy = (yx.y-lp.y)*pd.vy;
            
            if (sgx>0) {
              _this.queue.push(xy);
              
            } else {
              if (sgy>0) {
                _this.queue.push(yx);
                
              } else {
                if (sgx==0) {
                  _this.queue.push(xy);
                  
                } else {
                  _this.queue.push(yx);
                  
                }
              }
            }
            
          }
          _this.queue.push(cand[0]);
          Tonyu.globals.$sound.playSE(Tonyu.globals.$se_click);
          
        }
        
      },
      __getter__pathDir :function _trc_AI___getter__pathDir() {
        "use strict";
        var _this=this;
        var vx;
        var vy;
        
        
        if (_this.queue.length>=2) {
          vx=_this.queue[_this.queue.length-1].x-_this.queue[_this.queue.length-2].x;
          vy=_this.queue[_this.queue.length-1].y-_this.queue[_this.queue.length-2].y;
          
        } else {
          vx=_this.player.vx;
          vy=_this.player.vy;
          
        }
        return {vx: vx,vy: vy};
      },
      __getter__pathHead :function _trc_AI___getter__pathHead() {
        "use strict";
        var _this=this;
        
        if (_this.queue.length>0) {
          return _this.queue[_this.queue.length-1];
          
        } else {
          return {x: _this.player.x,y: _this.player.y};
          
        }
      },
      pathAddable :function _trc_AI_pathAddable(x,y) {
        "use strict";
        var _this=this;
        var q;
        var p;
        var pp;
        
        if (x<=0||y<=0||x>=Tonyu.globals.$m.col-1||y>=Tonyu.globals.$m.row-1) {
          return false;
        }
        for ([q] of Tonyu.iterator2(_this.queue,1)) {
          if (q.x==x&&q.y==y) {
            return false;
          }
          
        }
        if (_this.queue.length>0) {
          p = _this.queue[_this.queue.length-1];
          
          if (_this.queue.length>1) {
            pp = _this.queue[_this.queue.length-2];
            
            if ((p.x-pp.x)*(x-p.x)<0||(p.y-pp.y)*(y-p.y)<0) {
              return false;
            }
            
          }
          return _this.abs(p.x-x)+_this.abs(p.y-y);
          
        }
        return 1;
      },
      fiber$pathAddable :function* _trc_AI_f_pathAddable(_thread,x,y) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var q;
        var p;
        var pp;
        
        if (x<=0||y<=0||x>=Tonyu.globals.$m.col-1||y>=Tonyu.globals.$m.row-1) {
          return false;
        }
        for ([q] of Tonyu.iterator2(_this.queue,1)) {
          if (q.x==x&&q.y==y) {
            return false;
          }
          
        }
        if (_this.queue.length>0) {
          p = _this.queue[_this.queue.length-1];
          
          if (_this.queue.length>1) {
            pp = _this.queue[_this.queue.length-2];
            
            if ((p.x-pp.x)*(x-p.x)<0||(p.y-pp.y)*(y-p.y)<0) {
              return false;
            }
            
          }
          return _this.abs(p.x-x)+_this.abs(p.y-y);
          
        }
        return 1;
        
      },
      __getter__hasManualPath :function _trc_AI___getter__hasManualPath() {
        "use strict";
        var _this=this;
        
        return _this.queue.length>0&&_this.queue[0].manual;
      },
      setTarget :function _trc_AI_setTarget() {
        "use strict";
        var _this=this;
        
      },
      fiber$setTarget :function* _trc_AI_f_setTarget(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        
        
      },
      rect :function _trc_AI_rect(seed) {
        "use strict";
        var _this=this;
        var sx;
        var sy;
        var dx;
        var dy;
        var t;
        var w;
        var h;
        var x;
        var y;
        var i;
        
        x = _this.player.x;
        y = _this.player.y;
        
        if (seed) {
          sx=seed.x;
          sy=seed.y;
          
        } else {
          sx=x;
          sy=y;
          
        }
        for (i = 0;
         i<10 ; i++) {
          Tonyu.checkLoop();
          {
            dx=_this.floor(_this.hrnd*(Tonyu.globals.$m.col-2))+1;
            dy=_this.floor(_this.hrnd*(Tonyu.globals.$m.row-2))+1;
            w=_this.abs(sx-dx);
            h=_this.abs(sy-dy);
            if (w>2&&w<15&&h>2&&h<15&&Tonyu.globals.$m.get(dx,dy)!=_this.player.c) {
              break;
              
            }
          }
        }
        _this.queue.push({x: sx,y: sy});
        _this.queue.push({x: sx,y: dy});
        _this.queue.push({x: dx,y: dy});
        _this.queue.push({x: dx,y: sy});
        _this.queue.push({x: sx,y: sy});
      },
      fiber$rect :function* _trc_AI_f_rect(_thread,seed) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var sx;
        var sy;
        var dx;
        var dy;
        var t;
        var w;
        var h;
        var x;
        var y;
        var i;
        
        x = _this.player.x;
        y = _this.player.y;
        
        if (seed) {
          sx=seed.x;
          sy=seed.y;
          
        } else {
          sx=x;
          sy=y;
          
        }
        for (i = 0;
         i<10 ; i++) {
          yield null;
          {
            dx=_this.floor(_this.hrnd*(Tonyu.globals.$m.col-2))+1;
            dy=_this.floor(_this.hrnd*(Tonyu.globals.$m.row-2))+1;
            w=_this.abs(sx-dx);
            h=_this.abs(sy-dy);
            if (w>2&&w<15&&h>2&&h<15&&Tonyu.globals.$m.get(dx,dy)!=_this.player.c) {
              break;
              
            }
          }
        }
        _this.queue.push({x: sx,y: sy});
        _this.queue.push({x: sx,y: dy});
        _this.queue.push({x: dx,y: dy});
        _this.queue.push({x: dx,y: sy});
        _this.queue.push({x: sx,y: sy});
        
      },
      __getter__hrnd :function _trc_AI___getter__hrnd() {
        "use strict";
        var _this=this;
        var r;
        
        r = _this.rnd();
        
        r=r*r;
        if (_this.rnd()<0.5) {
          r=1-r;
        }
        return r;
      },
      draw :function _trc_AI_draw(c) {
        "use strict";
        var _this=this;
        var i;
        var q;
        
        if (! _this.hasManualPath) {
          return _this;
        }
        c.beginPath();
        c.strokeStyle="white";
        c.moveTo(_this.player.x*16+8,_this.player.y*16+8);
        for ([i, q] of Tonyu.iterator2(_this.queue,2)) {
          c.lineTo(q.x*16+8,q.y*16+8);
          
        }
        c.stroke();
      },
      findSeed :function _trc_AI_findSeed() {
        "use strict";
        var _this=this;
        
        return _this.all(Tonyu.classes.user.Seed).find((function anonymous_3785(s) {
          
          return s.active&&_this.dist(_this.player.x-s.x,_this.player.y-s.y)<7;
        }))[0];
      },
      fiber$findSeed :function* _trc_AI_f_findSeed(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        
        return _this.all(Tonyu.classes.user.Seed).find((function anonymous_3785(s) {
          
          return s.active&&_this.dist(_this.player.x-s.x,_this.player.y-s.y)<7;
        }))[0];
        
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false,"isMain":true,"vtype":{"params":[],"returnValue":null}},"onAppear":{"nowait":false,"isMain":false,"vtype":{"params":[],"returnValue":null}},"clearPath":{"nowait":false,"isMain":false,"vtype":{"params":[],"returnValue":null}},"addManualPath":{"nowait":false,"isMain":false,"vtype":{"params":[null,null],"returnValue":null}},"__getter__pathDir":{"nowait":true,"isMain":false,"vtype":{"params":[],"returnValue":null}},"__getter__pathHead":{"nowait":true,"isMain":false,"vtype":{"params":[],"returnValue":null}},"pathAddable":{"nowait":false,"isMain":false,"vtype":{"params":[null,null],"returnValue":null}},"__getter__hasManualPath":{"nowait":true,"isMain":false,"vtype":{"params":[],"returnValue":null}},"setTarget":{"nowait":false,"isMain":false,"vtype":{"params":[],"returnValue":null}},"rect":{"nowait":false,"isMain":false,"vtype":{"params":[null],"returnValue":null}},"__getter__hrnd":{"nowait":true,"isMain":false,"vtype":{"params":[],"returnValue":null}},"draw":{"nowait":true,"isMain":false,"vtype":{"params":[null],"returnValue":null}},"findSeed":{"nowait":false,"isMain":false,"vtype":{"params":[],"returnValue":null}}},"fields":{"player":{},"s":{},"queue":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Button',
  shortName: 'Button',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Button_main() {
        "use strict";
        var _this=this;
        
        while (true) {
          Tonyu.checkLoop();
          if (! _this.disabled&&(_this.getkey(1)||Tonyu.globals.$touches[0].touched)) {
            if (_this.inRect({x: Tonyu.globals.$mouseX,y: Tonyu.globals.$mouseY})) {
              _this.clicked=_this.getkey(1)||Tonyu.globals.$touches[0].touched;
              
            }
            if (_this.clicked==1) {
              Tonyu.classes.user.Button.last=_this;
              if (_this.onClick) {
                _this.onClick();
              }
              
            }
            
          } else {
            _this.clicked=0;
            
          }
          _this.update();
          
        }
      },
      fiber$main :function* _trc_Button_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        
        while (true) {
          yield null;
          if (! _this.disabled&&(_this.getkey(1)||Tonyu.globals.$touches[0].touched)) {
            if (_this.inRect({x: Tonyu.globals.$mouseX,y: Tonyu.globals.$mouseY})) {
              _this.clicked=_this.getkey(1)||Tonyu.globals.$touches[0].touched;
              
            }
            if (_this.clicked==1) {
              Tonyu.classes.user.Button.last=_this;
              if (_this.onClick) {
                _this.onClick();
              }
              
            }
            
          } else {
            _this.clicked=0;
            
          }
          (yield* _this.fiber$update(_thread));
          
        }
        
      },
      initialize :function _trc_Button_initialize(options) {
        "use strict";
        var _this=this;
        
        __superClass.apply( _this, [options]);
        _this.fillStyle=_this.fillStyle||"rgb(179,255,242)";
        _this.strokeStyle=_this.strokeStyle||"black";
        _this.clickedStyle=_this.clickedStyle||"white";
        _this.disabledStrokeStyle=_this.disabledStrokeStyle||"#ddd";
        _this.padding=_this.padding||5;
        _this.width=_this.width||Tonyu.globals.$screenWidth-100;
        _this.height=_this.height||50;
        _this.left=_this.left||50;
      },
      inRect :function _trc_Button_inRect(p) {
        "use strict";
        var _this=this;
        
        return p.x>=_this.left&&p.x<=_this.left+_this.width&&p.y>=_this.top&&p.y<=_this.top+_this.height;
      },
      fiber$inRect :function* _trc_Button_f_inRect(_thread,p) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        
        return p.x>=_this.left&&p.x<=_this.left+_this.width&&p.y>=_this.top&&p.y<=_this.top+_this.height;
        
      },
      draw :function _trc_Button_draw(c) {
        "use strict";
        var _this=this;
        var size;
        var f;
        var r;
        
        c.fillStyle=_this.fillStyle||"gray";
        c.strokeStyle=_this.strokeStyle||"black";
        if (_this.disabled) {
          c.strokeStyle=_this.disabledStrokeStyle;
        }
        c.fillRect(_this.left,_this.top,_this.width,_this.height);
        c.strokeRect(_this.left,_this.top,_this.width,_this.height);
        size = _this.height-_this.padding*2;
        
        f = c.font.replace(/^[0-9]+px /,"");
        
        c.font=size+"px "+f;
        c.textBaseline="top";
        c.fillStyle=_this.clicked?_this.clickedStyle:_this.disabled?_this.disabledStrokeStyle:_this.strokeStyle;
        r = c.measureText(_this.text);
        
        c.fillText(_this.text,_this.left+_this.width/2-r.width/2,_this.top+_this.padding);
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false,"isMain":true,"vtype":{"params":[],"returnValue":null}},"new":{"nowait":false,"isMain":false,"vtype":{"params":[null],"returnValue":null}},"inRect":{"nowait":false,"isMain":false,"vtype":{"params":[null],"returnValue":null}},"draw":{"nowait":true,"isMain":false,"vtype":{"params":[null],"returnValue":null}}},"fields":{"disabled":{},"clicked":{},"onClick":{},"strokeStyle":{},"clickedStyle":{},"disabledStrokeStyle":{},"padding":{},"left":{},"top":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Main',
  shortName: 'Main',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Main_main() {
        "use strict";
        var _this=this;
        
        Tonyu.globals.$Screen.setBGColor("black");
        Tonyu.globals.$sur=[{x: 0,y: - 1},{x: 1,y: - 1},{x: 1,y: 0},{x: 1,y: 1},{x: 0,y: 1},{x: - 1,y: 1},{x: - 1,y: 0},{x: - 1,y: - 1}];
        Tonyu.globals.$filling=null;
        Tonyu.globals.$m=_this.m=new Tonyu.classes.user.Matrix({row: 32,col: 24,cols: ["#444",null,"#900","#088","#050","#880","#059","#392","#808","#850","#006"]});
        _this.m.scores=[0,0,0,0,0,0,0,0,0,0,0];
        Tonyu.globals.$Screen.resize(Tonyu.globals.$m.col*16,Tonyu.globals.$m.row*16+32);
        _this.m.on("set",(function anonymous_418(e) {
          var c;
          var ctx;
          var pImg;
          
          
          if (typeof  (e.was)=="number") {
            c=e.was;
            _this.m.scores[c]--;
            if (c>=2) {
              new Tonyu.classes.user.PaintEffect({x: e.x*16+8,y: e.y*16+8,c: c});
            }
            _this.m.sendEvent("scoreChanged",{c: c,score: _this.m.scores[c]});
            
          }
          if (typeof  (e.c)=="number") {
            c=e.c;
            _this.m.scores[c]++;
            _this.m.sendEvent("scoreChanged",{c: c,score: _this.m.scores[c]});
            
          }
          if (_this.m.cols[e.c]) {
            _this.panel.setFillStyle(_this.m.cols[e.c]);
            _this.panel.fillRect(e.x*16,e.y*16,16,16);
            if (e.c>=2) {
              ctx = _this.panel.getContext();
              
              pImg = Tonyu.globals.$imageList[Tonyu.globals.$pat_mgoku+3+e.c];
              
              ctx.globalAlpha=0.25;
              ctx.drawImage(pImg.image,pImg.x,pImg.y,pImg.width,pImg.height,e.x*16,e.y*16,pImg.width,pImg.height);
              ctx.globalAlpha=1;
              
            }
            
          }
        }));
        Tonyu.globals.$seed=new Tonyu.classes.user.Matrix({row: Tonyu.globals.$m.row,col: Tonyu.globals.$m.col});
        _this.panel=new Tonyu.classes.kernel.Panel({x: Tonyu.globals.$screenWidth/2,y: Tonyu.globals.$screenHeight/2});
        _this.panel.setPanel(Tonyu.globals.$screenWidth,Tonyu.globals.$screenHeight);
        _this.panel.zOrder=10;
        for (_this.i=0; _this.i<_this.m.row ; _this.i++) {
          Tonyu.checkLoop();
          {
            for (_this.j=0; _this.j<_this.m.col ; _this.j++) {
              Tonyu.checkLoop();
              {
                _this.m.set(_this.j,_this.i,(_this.i*_this.j==0||(_this.m.row-1-_this.i)*(_this.m.col-1-_this.j)==0)?1:0);
              }
            }
          }
        }
        for (_this.i=0; _this.i<16 ; _this.i++) {
          Tonyu.checkLoop();
          {
            _this.gr=255-_this.i*8;
            _this.panel.setFillStyle(_this.color(_this.gr,_this.gr,_this.gr));
            _this.panel.fillRect(_this.i,_this.i,Tonyu.globals.$m.col*16-_this.i*2,1);
            _this.panel.fillRect(_this.i,_this.i,1,Tonyu.globals.$m.row*16-_this.i*2);
            _this.panel.fillRect(_this.i,Tonyu.globals.$m.row*16-1-_this.i,Tonyu.globals.$m.col*16-_this.i*2,1);
            _this.panel.fillRect(Tonyu.globals.$m.col*16-1-_this.i,_this.i,1,Tonyu.globals.$m.row*16-_this.i*2);
          }
        }
        for (_this.i=0; _this.i<Tonyu.globals.$gameBalance.seeds ; _this.i++) {
          Tonyu.checkLoop();
          {
            _this.sx=_this.rnd(Tonyu.globals.$m.col-2)+1;
            _this.sy=_this.rnd(Tonyu.globals.$m.row-2)+1;
            if (! Tonyu.globals.$seed.get(_this.sx,_this.sy)) {
              Tonyu.globals.$seed.set(_this.sx,_this.sy,new Tonyu.classes.user.Seed({x: _this.sx,y: _this.sy}));
              
            } else {
              _this.i--;
              
            }
          }
        }
        _this.tms=Tonyu.globals.$gameBalance.teams==1?Tonyu.globals.$gameBalance.players:Tonyu.globals.$gameBalance.teams;
        for (_this.i=0; _this.i<_this.tms ; _this.i++) {
          Tonyu.checkLoop();
          {
            new Tonyu.classes.user.Status({c: _this.i+2});
          }
        }
        for (_this.i=0; _this.i<Tonyu.globals.$gameBalance.players ; _this.i++) {
          Tonyu.checkLoop();
          {
            _this.setPlayer(_this.i);
          }
        }
        _this.setYou(2,{left: "left",up: "up",down: "down",right: "right"});
        _this.setYou(3,{left: "a",up: "w",down: "s",right: "d"});
        _this.setYou(4,{left: "b",up: "h",down: "n",right: "m"});
        for (_this.i=3; _this.i>=0 ; _this.i--) {
          Tonyu.checkLoop();
          {
            Tonyu.globals.$sound.playSE(_this.i==0?Tonyu.globals.$se_o5a:Tonyu.globals.$se_o4a);
            new Tonyu.classes.user.Timer({x: Tonyu.globals.$screenWidth/2,y: Tonyu.globals.$screenHeight/2,text: _this.i});
            _this.updateEx(_this.getkey("s")?1:30);
          }
        }
        Tonyu.globals.$sound.playBGM(Tonyu.globals.$se_main,true);
        for ([_this.pl] of Tonyu.iterator2(_this.all(Tonyu.classes.user.Player),1)) {
          _this.pl.sendEvent("start");
        }
        _this.timer=new Tonyu.classes.kernel.Actor({x: 320,y: Tonyu.globals.$screenHeight-16,text: "Time :"+60});
        for (_this.time=Tonyu.globals.$gameBalance.time*30; _this.time>0 ; _this.time--) {
          Tonyu.checkLoop();
          {
            if (_this.diffColors<2) {
              break;
              
            }
            _this.timer.text="Time: "+_this.floor(_this.time/30);
            if (Tonyu.globals.$filling) {
              _this.time++;
            } else {
              if (_this.time%30==0&&_this.time<=300) {
                Tonyu.globals.$sound.playSE(Tonyu.globals.$se_o4a);
                new Tonyu.classes.user.Timer({x: Tonyu.globals.$screenWidth/2,y: Tonyu.globals.$screenHeight/2,text: _this.floor(_this.time/30)});
                
              }
              
            }
            _this.update();
          }
        }
        while (Tonyu.globals.$filling) {
          Tonyu.checkLoop();
          _this.update();
        }
        _this.all(Tonyu.classes.user.Player).die();
        Tonyu.globals.$sound.playSE(Tonyu.globals.$se_whistle);
        for ([_this.st] of Tonyu.iterator2(_this.all(Tonyu.classes.user.Status),1)) {
          _this.st.sendEvent("result");
        }
        _this.updateEx(30);
        Tonyu.globals.$sound.stopBGM();
        new Tonyu.classes.kernel.Actor({text: "Touch/Space to replay",x: Tonyu.globals.$screenWidth/2,y: 300});
        _this.c=0;
        while (! Tonyu.globals.$touches[0].touched&&_this.getkey(32)!=1) {
          Tonyu.checkLoop();
          if (Tonyu.globals.$auto) {
            _this.c++;
            if (_this.c>60) {
              break;
              
            }
            
          }
          _this.update();
          
        }
        Tonyu.globals.$panel.alpha=0;
        Tonyu.globals.$panel.resize(Tonyu.globals.$screenWidth,Tonyu.globals.$screenHeight);
        Tonyu.globals.$panel.x=Tonyu.globals.$screenWidth/2;
        Tonyu.globals.$panel.y=Tonyu.globals.$screenHeight/2;
        Tonyu.globals.$panel.alpha=255;
        Tonyu.globals.$panel.setFillStyle("black");
        Tonyu.globals.$panel.fillRect(0,0,Tonyu.globals.$screenWidth,Tonyu.globals.$screenHeight);
        for (_this.i=5; _this.i<=255 ; _this.i+=10) {
          Tonyu.checkLoop();
          {
            Tonyu.globals.$panel.alpha=_this.i;
            _this.update();
          }
        }
        _this.loadPage(Tonyu.classes.user.Title);
      },
      fiber$main :function* _trc_Main_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        
        Tonyu.globals.$Screen.setBGColor("black");
        Tonyu.globals.$sur=[{x: 0,y: - 1},{x: 1,y: - 1},{x: 1,y: 0},{x: 1,y: 1},{x: 0,y: 1},{x: - 1,y: 1},{x: - 1,y: 0},{x: - 1,y: - 1}];
        Tonyu.globals.$filling=null;
        Tonyu.globals.$m=_this.m=new Tonyu.classes.user.Matrix({row: 32,col: 24,cols: ["#444",null,"#900","#088","#050","#880","#059","#392","#808","#850","#006"]});
        _this.m.scores=[0,0,0,0,0,0,0,0,0,0,0];
        Tonyu.globals.$Screen.resize(Tonyu.globals.$m.col*16,Tonyu.globals.$m.row*16+32);
        _this.m.on("set",(function anonymous_418(e) {
          var c;
          var ctx;
          var pImg;
          
          
          if (typeof  (e.was)=="number") {
            c=e.was;
            _this.m.scores[c]--;
            if (c>=2) {
              new Tonyu.classes.user.PaintEffect({x: e.x*16+8,y: e.y*16+8,c: c});
            }
            _this.m.sendEvent("scoreChanged",{c: c,score: _this.m.scores[c]});
            
          }
          if (typeof  (e.c)=="number") {
            c=e.c;
            _this.m.scores[c]++;
            _this.m.sendEvent("scoreChanged",{c: c,score: _this.m.scores[c]});
            
          }
          if (_this.m.cols[e.c]) {
            _this.panel.setFillStyle(_this.m.cols[e.c]);
            _this.panel.fillRect(e.x*16,e.y*16,16,16);
            if (e.c>=2) {
              ctx = _this.panel.getContext();
              
              pImg = Tonyu.globals.$imageList[Tonyu.globals.$pat_mgoku+3+e.c];
              
              ctx.globalAlpha=0.25;
              ctx.drawImage(pImg.image,pImg.x,pImg.y,pImg.width,pImg.height,e.x*16,e.y*16,pImg.width,pImg.height);
              ctx.globalAlpha=1;
              
            }
            
          }
        }));
        Tonyu.globals.$seed=new Tonyu.classes.user.Matrix({row: Tonyu.globals.$m.row,col: Tonyu.globals.$m.col});
        _this.panel=new Tonyu.classes.kernel.Panel({x: Tonyu.globals.$screenWidth/2,y: Tonyu.globals.$screenHeight/2});
        _this.panel.setPanel(Tonyu.globals.$screenWidth,Tonyu.globals.$screenHeight);
        _this.panel.zOrder=10;
        for (_this.i=0; _this.i<_this.m.row ; _this.i++) {
          yield null;
          {
            for (_this.j=0; _this.j<_this.m.col ; _this.j++) {
              yield null;
              {
                _this.m.set(_this.j,_this.i,(_this.i*_this.j==0||(_this.m.row-1-_this.i)*(_this.m.col-1-_this.j)==0)?1:0);
              }
            }
          }
        }
        for (_this.i=0; _this.i<16 ; _this.i++) {
          yield null;
          {
            _this.gr=255-_this.i*8;
            _this.panel.setFillStyle(_this.color(_this.gr,_this.gr,_this.gr));
            _this.panel.fillRect(_this.i,_this.i,Tonyu.globals.$m.col*16-_this.i*2,1);
            _this.panel.fillRect(_this.i,_this.i,1,Tonyu.globals.$m.row*16-_this.i*2);
            _this.panel.fillRect(_this.i,Tonyu.globals.$m.row*16-1-_this.i,Tonyu.globals.$m.col*16-_this.i*2,1);
            _this.panel.fillRect(Tonyu.globals.$m.col*16-1-_this.i,_this.i,1,Tonyu.globals.$m.row*16-_this.i*2);
          }
        }
        for (_this.i=0; _this.i<Tonyu.globals.$gameBalance.seeds ; _this.i++) {
          yield null;
          {
            _this.sx=_this.rnd(Tonyu.globals.$m.col-2)+1;
            _this.sy=_this.rnd(Tonyu.globals.$m.row-2)+1;
            if (! Tonyu.globals.$seed.get(_this.sx,_this.sy)) {
              Tonyu.globals.$seed.set(_this.sx,_this.sy,new Tonyu.classes.user.Seed({x: _this.sx,y: _this.sy}));
              
            } else {
              _this.i--;
              
            }
          }
        }
        _this.tms=Tonyu.globals.$gameBalance.teams==1?Tonyu.globals.$gameBalance.players:Tonyu.globals.$gameBalance.teams;
        for (_this.i=0; _this.i<_this.tms ; _this.i++) {
          yield null;
          {
            new Tonyu.classes.user.Status({c: _this.i+2});
          }
        }
        for (_this.i=0; _this.i<Tonyu.globals.$gameBalance.players ; _this.i++) {
          yield null;
          {
            (yield* _this.fiber$setPlayer(_thread, _this.i));
          }
        }
        (yield* _this.fiber$setYou(_thread, 2, {left: "left",up: "up",down: "down",right: "right"}));
        (yield* _this.fiber$setYou(_thread, 3, {left: "a",up: "w",down: "s",right: "d"}));
        (yield* _this.fiber$setYou(_thread, 4, {left: "b",up: "h",down: "n",right: "m"}));
        for (_this.i=3; _this.i>=0 ; _this.i--) {
          yield null;
          {
            Tonyu.globals.$sound.playSE(_this.i==0?Tonyu.globals.$se_o5a:Tonyu.globals.$se_o4a);
            new Tonyu.classes.user.Timer({x: Tonyu.globals.$screenWidth/2,y: Tonyu.globals.$screenHeight/2,text: _this.i});
            (yield* _this.fiber$updateEx(_thread, _this.getkey("s")?1:30));
          }
        }
        Tonyu.globals.$sound.playBGM(Tonyu.globals.$se_main,true);
        for ([_this.pl] of Tonyu.iterator2(_this.all(Tonyu.classes.user.Player),1)) {
          _this.pl.sendEvent("start");
        }
        _this.timer=new Tonyu.classes.kernel.Actor({x: 320,y: Tonyu.globals.$screenHeight-16,text: "Time :"+60});
        for (_this.time=Tonyu.globals.$gameBalance.time*30; _this.time>0 ; _this.time--) {
          yield null;
          {
            if (_this.diffColors<2) {
              break;
              
            }
            _this.timer.text="Time: "+_this.floor(_this.time/30);
            if (Tonyu.globals.$filling) {
              _this.time++;
            } else {
              if (_this.time%30==0&&_this.time<=300) {
                Tonyu.globals.$sound.playSE(Tonyu.globals.$se_o4a);
                new Tonyu.classes.user.Timer({x: Tonyu.globals.$screenWidth/2,y: Tonyu.globals.$screenHeight/2,text: _this.floor(_this.time/30)});
                
              }
              
            }
            (yield* _this.fiber$update(_thread));
          }
        }
        while (Tonyu.globals.$filling) {
          yield null;
          (yield* _this.fiber$update(_thread));
        }
        _this.all(Tonyu.classes.user.Player).die();
        Tonyu.globals.$sound.playSE(Tonyu.globals.$se_whistle);
        for ([_this.st] of Tonyu.iterator2(_this.all(Tonyu.classes.user.Status),1)) {
          _this.st.sendEvent("result");
        }
        (yield* _this.fiber$updateEx(_thread, 30));
        Tonyu.globals.$sound.stopBGM();
        new Tonyu.classes.kernel.Actor({text: "Touch/Space to replay",x: Tonyu.globals.$screenWidth/2,y: 300});
        _this.c=0;
        while (! Tonyu.globals.$touches[0].touched&&_this.getkey(32)!=1) {
          yield null;
          if (Tonyu.globals.$auto) {
            _this.c++;
            if (_this.c>60) {
              break;
              
            }
            
          }
          (yield* _this.fiber$update(_thread));
          
        }
        Tonyu.globals.$panel.alpha=0;
        Tonyu.globals.$panel.resize(Tonyu.globals.$screenWidth,Tonyu.globals.$screenHeight);
        Tonyu.globals.$panel.x=Tonyu.globals.$screenWidth/2;
        Tonyu.globals.$panel.y=Tonyu.globals.$screenHeight/2;
        Tonyu.globals.$panel.alpha=255;
        Tonyu.globals.$panel.setFillStyle("black");
        Tonyu.globals.$panel.fillRect(0,0,Tonyu.globals.$screenWidth,Tonyu.globals.$screenHeight);
        for (_this.i=5; _this.i<=255 ; _this.i+=10) {
          yield null;
          {
            Tonyu.globals.$panel.alpha=_this.i;
            (yield* _this.fiber$update(_thread));
          }
        }
        (yield* _this.fiber$loadPage(_thread, Tonyu.classes.user.Title));
        
      },
      __getter__diffColors :function _trc_Main___getter__diffColors() {
        "use strict";
        var _this=this;
        var c;
        var p;
        
        c = null;
        
        for ([p] of Tonyu.iterator2(_this.all(Tonyu.classes.user.Player),1)) {
          if (c==null) {
            c=p.c;
          } else {
            if (c!=p.c) {
              return 2;
            }
          }
          
        }
        return 1;
      },
      __getter__maxScore :function _trc_Main___getter__maxScore() {
        "use strict";
        var _this=this;
        var ma;
        var e;
        
        ma = 0;
        
        for ([e] of Tonyu.iterator2(_this.m.scores,1)) {
          if (e>ma) {
            ma=e;
          }
          
        }
        return ma;
      },
      setPlayer :function _trc_Main_setPlayer(id) {
        "use strict";
        var _this=this;
        var xs;
        var ys;
        var c;
        var plsPerTm;
        
        xs = [3,_this.floor(Tonyu.globals.$m.col/2),Tonyu.globals.$m.col-3];
        
        ys = [3,_this.floor(Tonyu.globals.$m.row/2),Tonyu.globals.$m.row-3];
        
        c = 2+id;
        
        if (Tonyu.globals.$gameBalance.teams>1) {
          plsPerTm = Tonyu.globals.$gameBalance.players/Tonyu.globals.$gameBalance.teams;
          
          c=2+_this.floor(id/plsPerTm);
          
        }
        if (id==0) {
          new Tonyu.classes.user.Player({x: xs[0],y: ys[0],id: id,c: c,zOrder: - 10});
          
        } else {
          if (id==1) {
            new Tonyu.classes.user.Player({x: xs[2],y: ys[2],id: id,c: c,zOrder: - 10});
            
          } else {
            if (id==2) {
              new Tonyu.classes.user.Player({x: xs[0],y: ys[2],id: id,c: c,zOrder: - 10});
              
            } else {
              if (id==3) {
                new Tonyu.classes.user.Player({x: xs[2],y: ys[0],id: id,c: c,zOrder: - 10});
                
              } else {
                if (id==4) {
                  new Tonyu.classes.user.Player({x: xs[1],y: ys[0],id: id,c: c,zOrder: - 10});
                  
                } else {
                  if (id==5) {
                    new Tonyu.classes.user.Player({x: xs[1],y: ys[2],id: id,c: c,zOrder: - 10});
                    
                  } else {
                    if (id==6) {
                      new Tonyu.classes.user.Player({x: xs[0],y: ys[1],id: id,c: c,zOrder: - 10});
                      
                    } else {
                      if (id==7) {
                        new Tonyu.classes.user.Player({x: xs[2],y: ys[1],id: id,c: c,zOrder: - 10});
                        
                      } else {
                        if (id==8) {
                          new Tonyu.classes.user.Player({x: xs[1],y: ys[1],id: id,c: c,zOrder: - 10});
                          
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      },
      fiber$setPlayer :function* _trc_Main_f_setPlayer(_thread,id) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var xs;
        var ys;
        var c;
        var plsPerTm;
        
        xs = [3,_this.floor(Tonyu.globals.$m.col/2),Tonyu.globals.$m.col-3];
        
        ys = [3,_this.floor(Tonyu.globals.$m.row/2),Tonyu.globals.$m.row-3];
        
        c = 2+id;
        
        if (Tonyu.globals.$gameBalance.teams>1) {
          plsPerTm = Tonyu.globals.$gameBalance.players/Tonyu.globals.$gameBalance.teams;
          
          c=2+_this.floor(id/plsPerTm);
          
        }
        if (id==0) {
          new Tonyu.classes.user.Player({x: xs[0],y: ys[0],id: id,c: c,zOrder: - 10});
          
        } else {
          if (id==1) {
            new Tonyu.classes.user.Player({x: xs[2],y: ys[2],id: id,c: c,zOrder: - 10});
            
          } else {
            if (id==2) {
              new Tonyu.classes.user.Player({x: xs[0],y: ys[2],id: id,c: c,zOrder: - 10});
              
            } else {
              if (id==3) {
                new Tonyu.classes.user.Player({x: xs[2],y: ys[0],id: id,c: c,zOrder: - 10});
                
              } else {
                if (id==4) {
                  new Tonyu.classes.user.Player({x: xs[1],y: ys[0],id: id,c: c,zOrder: - 10});
                  
                } else {
                  if (id==5) {
                    new Tonyu.classes.user.Player({x: xs[1],y: ys[2],id: id,c: c,zOrder: - 10});
                    
                  } else {
                    if (id==6) {
                      new Tonyu.classes.user.Player({x: xs[0],y: ys[1],id: id,c: c,zOrder: - 10});
                      
                    } else {
                      if (id==7) {
                        new Tonyu.classes.user.Player({x: xs[2],y: ys[1],id: id,c: c,zOrder: - 10});
                        
                      } else {
                        if (id==8) {
                          new Tonyu.classes.user.Player({x: xs[1],y: ys[1],id: id,c: c,zOrder: - 10});
                          
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
        
      },
      setYou :function _trc_Main_setYou(c,keys) {
        "use strict";
        var _this=this;
        var pl;
        
        pl = _this.all(Tonyu.classes.user.Player).find((function anonymous_5024(p) {
          
          return p.c==c;
        }));
        
        pl=pl[0];
        if (! pl) {
          return _this;
        }
        pl.you=keys;
        if (c==2) {
          new Tonyu.classes.user.Target({ai: pl.ai});
        }
      },
      fiber$setYou :function* _trc_Main_f_setYou(_thread,c,keys) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var pl;
        
        pl = _this.all(Tonyu.classes.user.Player).find((function anonymous_5024(p) {
          
          return p.c==c;
        }));
        
        pl=pl[0];
        if (! pl) {
          return _this;
        }
        pl.you=keys;
        if (c==2) {
          new Tonyu.classes.user.Target({ai: pl.ai});
        }
        
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false,"isMain":true,"vtype":{"params":[],"returnValue":null}},"__getter__diffColors":{"nowait":true,"isMain":false,"vtype":{"params":[],"returnValue":null}},"__getter__maxScore":{"nowait":true,"isMain":false,"vtype":{"params":[],"returnValue":null}},"setPlayer":{"nowait":false,"isMain":false,"vtype":{"params":[null],"returnValue":null}},"setYou":{"nowait":false,"isMain":false,"vtype":{"params":[null,null],"returnValue":null}}},"fields":{"st":{},"m":{},"panel":{},"i":{},"j":{},"gr":{},"sx":{},"sy":{},"tms":{},"pl":{},"timer":{},"time":{},"c":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Matrix',
  shortName: 'Matrix',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.TObject,
  includes: [Tonyu.classes.kernel.EventMod],
  methods: function (__superClass) {
    return {
      main :function _trc_Matrix_main() {
        "use strict";
        var _this=this;
        
      },
      fiber$main :function* _trc_Matrix_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        
        
      },
      initialize :function _trc_Matrix_initialize(_extend) {
        "use strict";
        var _this=this;
        
        _this.extend(_extend);
        _this.ary=[];
      },
      get :function _trc_Matrix_get(x,y) {
        "use strict";
        var _this=this;
        
        return _this.ary[y*_this.col+x];
      },
      fiber$get :function* _trc_Matrix_f_get(_thread,x,y) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        
        return _this.ary[y*_this.col+x];
        
      },
      set :function _trc_Matrix_set(x,y,c) {
        "use strict";
        var _this=this;
        var was;
        
        was = _this.ary[y*_this.col+x];
        
        if (was===c) {
          return _this;
        }
        _this.ary[y*_this.col+x]=c;
        _this.sendEvent("set",{x: x,y: y,c: c,was: was});
      },
      fiber$set :function* _trc_Matrix_f_set(_thread,x,y,c) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var was;
        
        was = _this.ary[y*_this.col+x];
        
        if (was===c) {
          return _this;
        }
        _this.ary[y*_this.col+x]=c;
        _this.sendEvent("set",{x: x,y: y,c: c,was: was});
        
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false,"isMain":true,"vtype":{"params":[],"returnValue":null}},"new":{"nowait":false,"isMain":false,"vtype":{"params":[null],"returnValue":null}},"get":{"nowait":false,"isMain":false,"vtype":{"params":[null,null],"returnValue":null}},"set":{"nowait":false,"isMain":false,"vtype":{"params":[null,null,null],"returnValue":null}}},"fields":{"ary":{},"col":{}}}
});
Tonyu.klass.define({
  fullName: 'user.PaintEffect',
  shortName: 'PaintEffect',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_PaintEffect_main() {
        "use strict";
        var _this=this;
        
        _this.p=Tonyu.globals.$pat_mgoku+3+_this.c;
        _this.zOrder=- 10;
        _this.alpha=250;
        while (_this.alpha>0) {
          Tonyu.checkLoop();
          _this.alpha-=50;
          _this.scaleX+=0.2;
          _this.update();
          
        }
        _this.die();
      },
      fiber$main :function* _trc_PaintEffect_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        
        _this.p=Tonyu.globals.$pat_mgoku+3+_this.c;
        _this.zOrder=- 10;
        _this.alpha=250;
        while (_this.alpha>0) {
          yield null;
          _this.alpha-=50;
          _this.scaleX+=0.2;
          (yield* _this.fiber$update(_thread));
          
        }
        _this.die();
        
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false,"isMain":true,"vtype":{"params":[],"returnValue":null}}},"fields":{"c":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Player',
  shortName: 'Player',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Player_main() {
        "use strict";
        var _this=this;
        
        _this.p=Tonyu.globals.$pat_mgoku+3+_this.c;
        _this.an=0;
        _this.vx=(_this.x<10?1:- 1);
        _this.vy=0;
        _this.waitEvent("start");
        _this.speedC=0;
        _this.speed=8;
        while (true) {
          Tonyu.checkLoop();
          while (Tonyu.globals.$filling) {
            Tonyu.checkLoop();
            _this.update();
            
          }
          _this.move();
          if (_this.speedC>0) {
            _this.speedC--;
          } else {
            _this.speed=8;
          }
          for (_this.i=0; _this.i<_this.speed ; _this.i++) {
            Tonyu.checkLoop();
            {
              _this.an=1-_this.i/_this.speed;
              _this.update();
            }
          }
          
        }
      },
      fiber$main :function* _trc_Player_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        
        _this.p=Tonyu.globals.$pat_mgoku+3+_this.c;
        _this.an=0;
        _this.vx=(_this.x<10?1:- 1);
        _this.vy=0;
        (yield* _this.fiber$waitEvent(_thread, "start"));
        _this.speedC=0;
        _this.speed=8;
        while (true) {
          yield null;
          while (Tonyu.globals.$filling) {
            yield null;
            (yield* _this.fiber$update(_thread));
            
          }
          (yield* _this.fiber$move(_thread));
          if (_this.speedC>0) {
            _this.speedC--;
          } else {
            _this.speed=8;
          }
          for (_this.i=0; _this.i<_this.speed ; _this.i++) {
            yield null;
            {
              _this.an=1-_this.i/_this.speed;
              (yield* _this.fiber$update(_thread));
            }
          }
          
        }
        
      },
      onAppear :function _trc_Player_onAppear() {
        "use strict";
        var _this=this;
        
        _this.ai=new Tonyu.classes.user.AI({player: _this});
        _this.team=(_this.all(Tonyu.classes.user.Status).find((function anonymous_69(s) {
          
          return s.c==_this.c;
        })))[0];
        _this.team.num++;
      },
      fiber$onAppear :function* _trc_Player_f_onAppear(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        
        _this.ai=new Tonyu.classes.user.AI({player: _this});
        _this.team=(_this.all(Tonyu.classes.user.Status).find((function anonymous_69(s) {
          
          return s.c==_this.c;
        })))[0];
        _this.team.num++;
        
      },
      move :function _trc_Player_move() {
        "use strict";
        var _this=this;
        var yt;
        
        _this.seed=Tonyu.globals.$seed.get(_this.x,_this.y);
        if (Tonyu.is(_this.seed,Tonyu.classes.user.Seed)&&_this.seed.active) {
          _this.seed.die();
          Tonyu.globals.$seed.set(_this.x,_this.y,0);
          _this.speedC=Tonyu.globals.$gameBalance.speedUpTime;
          if (_this.speed>2) {
            _this.speed/=2;
          }
          if (_this.speed==4) {
            Tonyu.globals.$sound.playSE(Tonyu.globals.$se_get1);
          }
          if (_this.speed==2) {
            Tonyu.globals.$sound.playSE(Tonyu.globals.$se_get2);
          }
          
        }
        if (! _this.usekey) {
          
          if (_this.x==_this.tx) {
            yt=1;
          } else {
            if (_this.y==_this.ty) {
              yt=0;
            } else {
              if (_this.vx==0) {
                yt=1;
              } else {
                yt=0;
              }
            }
          }
          if (yt==0) {
            _this.vy=0;
            _this.vx=(_this.tx>_this.x?1:- 1);
            
          } else {
            _this.vx=0;
            _this.vy=(_this.ty>_this.y?1:- 1);
            
          }
          
        }
        if (_this.you) {
          if (_this.getkey(_this.you.up)) {
            _this.usekey=true;
            _this.vx=0;
            _this.vy=- 1;
            
          }
          if (_this.getkey(_this.you.down)) {
            _this.usekey=true;
            _this.vx=0;
            _this.vy=1;
            
          }
          if (_this.getkey(_this.you.left)) {
            _this.usekey=true;
            _this.vx=- 1;
            _this.vy=0;
            
          }
          if (_this.getkey(_this.you.right)) {
            _this.usekey=true;
            _this.vx=1;
            _this.vy=0;
            
          }
          
        }
        if (Tonyu.globals.$m.get(_this.x+_this.vx,_this.y+_this.vy)!=1) {
          _this.x+=_this.vx;
          _this.y+=_this.vy;
          _this.an=1;
          if (_this.x==_this.tx&&_this.y==_this.ty) {
            _this.sendEvent("arriveTarget");
          }
          
        }
        if (Tonyu.globals.$m.get(_this.x,_this.y)!=_this.c) {
          Tonyu.globals.$m.set(_this.x,_this.y,_this.c);
          _this.check();
          
        }
      },
      fiber$move :function* _trc_Player_f_move(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var yt;
        
        _this.seed=Tonyu.globals.$seed.get(_this.x,_this.y);
        if (Tonyu.is(_this.seed,Tonyu.classes.user.Seed)&&_this.seed.active) {
          _this.seed.die();
          Tonyu.globals.$seed.set(_this.x,_this.y,0);
          _this.speedC=Tonyu.globals.$gameBalance.speedUpTime;
          if (_this.speed>2) {
            _this.speed/=2;
          }
          if (_this.speed==4) {
            Tonyu.globals.$sound.playSE(Tonyu.globals.$se_get1);
          }
          if (_this.speed==2) {
            Tonyu.globals.$sound.playSE(Tonyu.globals.$se_get2);
          }
          
        }
        if (! _this.usekey) {
          
          if (_this.x==_this.tx) {
            yt=1;
          } else {
            if (_this.y==_this.ty) {
              yt=0;
            } else {
              if (_this.vx==0) {
                yt=1;
              } else {
                yt=0;
              }
            }
          }
          if (yt==0) {
            _this.vy=0;
            _this.vx=(_this.tx>_this.x?1:- 1);
            
          } else {
            _this.vx=0;
            _this.vy=(_this.ty>_this.y?1:- 1);
            
          }
          
        }
        if (_this.you) {
          if (_this.getkey(_this.you.up)) {
            _this.usekey=true;
            _this.vx=0;
            _this.vy=- 1;
            
          }
          if (_this.getkey(_this.you.down)) {
            _this.usekey=true;
            _this.vx=0;
            _this.vy=1;
            
          }
          if (_this.getkey(_this.you.left)) {
            _this.usekey=true;
            _this.vx=- 1;
            _this.vy=0;
            
          }
          if (_this.getkey(_this.you.right)) {
            _this.usekey=true;
            _this.vx=1;
            _this.vy=0;
            
          }
          
        }
        if (Tonyu.globals.$m.get(_this.x+_this.vx,_this.y+_this.vy)!=1) {
          _this.x+=_this.vx;
          _this.y+=_this.vy;
          _this.an=1;
          if (_this.x==_this.tx&&_this.y==_this.ty) {
            _this.sendEvent("arriveTarget");
          }
          
        }
        if (Tonyu.globals.$m.get(_this.x,_this.y)!=_this.c) {
          Tonyu.globals.$m.set(_this.x,_this.y,_this.c);
          (yield* _this.fiber$check(_thread));
          
        }
        
      },
      __getter__tx :function _trc_Player___getter__tx() {
        "use strict";
        var _this=this;
        
        if (_this.ai.queue.length==0) {
          return _this.x;
        }
        return _this.ai.queue[0].x;
      },
      __getter__ty :function _trc_Player___getter__ty() {
        "use strict";
        var _this=this;
        
        if (_this.ai.queue.length==0) {
          return _this.y;
        }
        return _this.ai.queue[0].y;
      },
      check :function _trc_Player_check() {
        "use strict";
        var _this=this;
        var sur;
        var putmap;
        var i;
        var orig;
        var prevPut;
        var cnt;
        var sen2;
        var mat;
        
        sur = Tonyu.globals.$sur;
        
        putmap = [];
        
        
        for (i=0; i<8 ; i++) {
          Tonyu.checkLoop();
          {
            if (_this.isSep(_this.x+sur[i].x,_this.y+sur[i].y)) {
              break;
              
              
            }
          }
        }
        if (i==8) {
          return _this;
        }
        orig=i;
        i=(i+1)%8;
        prevPut = false;
        cnt = 0;
        
        while (i!=orig) {
          Tonyu.checkLoop();
          if (! _this.isSep(_this.x+sur[i].x,_this.y+sur[i].y)) {
            if (! prevPut) {
              cnt++;
              
            }
            putmap[i]=cnt;
            prevPut=true;
            
          } else {
            prevPut=false;
            
          }
          i=(i+1)%8;
          
        }
        if (cnt<2) {
          return _this;
        }
        sen2 = new Tonyu.classes.user.Sensor2({parent: _this});
        
        for (i=0; i<8 ; i++) {
          Tonyu.checkLoop();
          {
            if (putmap[i]) {
              sen2.m.set(_this.x+sur[i].x,_this.y+sur[i].y,putmap[i]);
              
            }
          }
        }
        
        _this.waitEvent("end");
        if (! sen2.isDead()) {
          _this.fill2(sen2);
        }
        return _this;
      },
      fiber$check :function* _trc_Player_f_check(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var sur;
        var putmap;
        var i;
        var orig;
        var prevPut;
        var cnt;
        var sen2;
        var mat;
        
        sur = Tonyu.globals.$sur;
        
        putmap = [];
        
        
        for (i=0; i<8 ; i++) {
          yield null;
          {
            if (_this.isSep(_this.x+sur[i].x,_this.y+sur[i].y)) {
              break;
              
              
            }
          }
        }
        if (i==8) {
          return _this;
        }
        orig=i;
        i=(i+1)%8;
        prevPut = false;
        cnt = 0;
        
        while (i!=orig) {
          yield null;
          if (! _this.isSep(_this.x+sur[i].x,_this.y+sur[i].y)) {
            if (! prevPut) {
              cnt++;
              
            }
            putmap[i]=cnt;
            prevPut=true;
            
          } else {
            prevPut=false;
            
          }
          i=(i+1)%8;
          
        }
        if (cnt<2) {
          return _this;
        }
        sen2 = new Tonyu.classes.user.Sensor2({parent: _this});
        
        for (i=0; i<8 ; i++) {
          yield null;
          {
            if (putmap[i]) {
              sen2.m.set(_this.x+sur[i].x,_this.y+sur[i].y,putmap[i]);
              
            }
          }
        }
        
        (yield* _this.fiber$waitEvent(_thread, "end"));
        if (! sen2.isDead()) {
          (yield* _this.fiber$fill2(_thread, sen2));
        }
        return _this;
        
      },
      fill2 :function _trc_Player_fill2(sen2) {
        "use strict";
        var _this=this;
        var m;
        var cnt;
        var i;
        var j;
        var fillf;
        var kills;
        var acts;
        var wt;
        
        m = sen2.m;
        
        while (Tonyu.globals.$filling) {
          Tonyu.checkLoop();
          _this.update();
        }
        Tonyu.globals.$filling=_this;
        Tonyu.globals.$sound.playSE(Tonyu.globals.$se_fill1);
        cnt = 0;
        
        fillf = (function anonymous_3775(e) {
          
          return m.get(e.x,e.y)>0&&e.c!=_this.c;
        });
        
        kills = _this.all(Tonyu.classes.user.Player).find(fillf);
        
        acts = _this.all(Tonyu.classes.user.Seed).find(fillf);
        
        if (acts.length>0) {
          acts.apply("activate");
          Tonyu.globals.$sound.playSE(Tonyu.globals.$se_seed);
          
        }
        wt = (sen2.fillArea>20||kills.length>0?30:10)/2;
        
        _this.updateEx(wt);
        cnt = 0;
        
        for (i=1; i<m.row-2 ; i++) {
          Tonyu.checkLoop();
          {
            for (j=1; j<m.col-2 ; j++) {
              Tonyu.checkLoop();
              {
                if (m.get(j,i)>0) {
                  Tonyu.globals.$m.set(j,i,_this.c);
                  cnt++;
                  if (cnt%20==0) {
                    _this.update();
                    
                  }
                  
                }
              }
            }
          }
        }
        wt-=_this.floor(cnt/20);
        if (wt<0) {
          wt=0;
        }
        _this.updateEx(wt);
        kills.apply("killed",[_this.c]);
        sen2.die();
        Tonyu.globals.$filling=false;
      },
      fiber$fill2 :function* _trc_Player_f_fill2(_thread,sen2) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var m;
        var cnt;
        var i;
        var j;
        var fillf;
        var kills;
        var acts;
        var wt;
        
        m = sen2.m;
        
        while (Tonyu.globals.$filling) {
          yield null;
          (yield* _this.fiber$update(_thread));
        }
        Tonyu.globals.$filling=_this;
        Tonyu.globals.$sound.playSE(Tonyu.globals.$se_fill1);
        cnt = 0;
        
        fillf = (function anonymous_3775(e) {
          
          return m.get(e.x,e.y)>0&&e.c!=_this.c;
        });
        
        kills = _this.all(Tonyu.classes.user.Player).find(fillf);
        
        acts = _this.all(Tonyu.classes.user.Seed).find(fillf);
        
        if (acts.length>0) {
          acts.apply("activate");
          Tonyu.globals.$sound.playSE(Tonyu.globals.$se_seed);
          
        }
        wt = (sen2.fillArea>20||kills.length>0?30:10)/2;
        
        (yield* _this.fiber$updateEx(_thread, wt));
        cnt = 0;
        
        for (i=1; i<m.row-2 ; i++) {
          yield null;
          {
            for (j=1; j<m.col-2 ; j++) {
              yield null;
              {
                if (m.get(j,i)>0) {
                  Tonyu.globals.$m.set(j,i,_this.c);
                  cnt++;
                  if (cnt%20==0) {
                    (yield* _this.fiber$update(_thread));
                    
                  }
                  
                }
              }
            }
          }
        }
        wt-=_this.floor(cnt/20);
        if (wt<0) {
          wt=0;
        }
        (yield* _this.fiber$updateEx(_thread, wt));
        kills.apply("killed",[_this.c]);
        sen2.die();
        Tonyu.globals.$filling=false;
        
      },
      killed :function _trc_Player_killed(by) {
        "use strict";
        var _this=this;
        
        Tonyu.globals.$sound.playSE(Tonyu.globals.$se_death);
        new Tonyu.classes.user.PLDeath({x: _this.x*16+8,y: _this.y*16+8,p: _this.p});
        _this.team.dropOut(by);
        _this.die();
      },
      fiber$killed :function* _trc_Player_f_killed(_thread,by) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        
        Tonyu.globals.$sound.playSE(Tonyu.globals.$se_death);
        new Tonyu.classes.user.PLDeath({x: _this.x*16+8,y: _this.y*16+8,p: _this.p});
        _this.team.dropOut(by);
        _this.die();
        
      },
      isSep :function _trc_Player_isSep(x,y) {
        "use strict";
        var _this=this;
        var gc;
        
        gc = Tonyu.globals.$m.get(x,y);
        
        return gc==_this.c;
      },
      fiber$isSep :function* _trc_Player_f_isSep(_thread,x,y) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var gc;
        
        gc = Tonyu.globals.$m.get(x,y);
        
        return gc==_this.c;
        
      },
      draw :function _trc_Player_draw(c) {
        "use strict";
        var _this=this;
        var sx;
        
        sx = _this.x;
        
        _this.sy=_this.y;
        _this.x=((_this.x-_this.vx)*_this.an+_this.x*(1-_this.an))*16+8;
        _this.y=((_this.y-_this.vy)*_this.an+_this.y*(1-_this.an))*16+8;
        __superClass.prototype.draw.apply( _this, [c]);
        if (_this.usekey) {
          c.fillStyle="white";
          c.font=c.font.replace(/^[0-9]+/,12);
          c.fillText("Player"+(_this.c-1),_this.x-30,_this.y-30);
          
        }
        _this.x=sx;
        _this.y=_this.sy;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false,"isMain":true,"vtype":{"params":[],"returnValue":null}},"onAppear":{"nowait":false,"isMain":false,"vtype":{"params":[],"returnValue":null}},"move":{"nowait":false,"isMain":false,"vtype":{"params":[],"returnValue":null}},"__getter__tx":{"nowait":true,"isMain":false,"vtype":{"params":[],"returnValue":null}},"__getter__ty":{"nowait":true,"isMain":false,"vtype":{"params":[],"returnValue":null}},"check":{"nowait":false,"isMain":false,"vtype":{"params":[],"returnValue":null}},"fill2":{"nowait":false,"isMain":false,"vtype":{"params":[null],"returnValue":null}},"killed":{"nowait":false,"isMain":false,"vtype":{"params":[null],"returnValue":null}},"isSep":{"nowait":false,"isMain":false,"vtype":{"params":[null,null],"returnValue":null}},"draw":{"nowait":true,"isMain":false,"vtype":{"params":[null],"returnValue":null}}},"fields":{"c":{},"an":{},"vx":{},"vy":{},"speedC":{},"speed":{},"i":{},"ai":{},"team":{},"seed":{},"usekey":{},"you":{},"sy":{}}}
});
Tonyu.klass.define({
  fullName: 'user.PLDeath',
  shortName: 'PLDeath',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_PLDeath_main() {
        "use strict";
        var _this=this;
        
        _this.vy=- 10;
        while (_this.alpha>0) {
          Tonyu.checkLoop();
          _this.rotation+=10;
          _this.alpha-=5;
          _this.scaleX+=0.1;
          _this.y+=_this.vy;
          _this.vy++;
          _this.update();
          
        }
        _this.die();
      },
      fiber$main :function* _trc_PLDeath_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        
        _this.vy=- 10;
        while (_this.alpha>0) {
          yield null;
          _this.rotation+=10;
          _this.alpha-=5;
          _this.scaleX+=0.1;
          _this.y+=_this.vy;
          _this.vy++;
          (yield* _this.fiber$update(_thread));
          
        }
        _this.die();
        
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false,"isMain":true,"vtype":{"params":[],"returnValue":null}}},"fields":{"vy":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Seed',
  shortName: 'Seed',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Seed_main() {
        "use strict";
        var _this=this;
        
        _this.i=0;
        _this.j=0;
        while (true) {
          Tonyu.checkLoop();
          _this.i+=10;
          _this.update();
          
        }
      },
      fiber$main :function* _trc_Seed_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        
        _this.i=0;
        _this.j=0;
        while (true) {
          yield null;
          _this.i+=10;
          (yield* _this.fiber$update(_thread));
          
        }
        
      },
      draw :function _trc_Seed_draw(c) {
        "use strict";
        var _this=this;
        var sx;
        
        sx = _this.x;
        
        _this.sy=_this.y;
        _this.x=_this.x*16+8;
        _this.y=_this.y*16+8-_this.j*16;
        _this.p=Tonyu.globals.$pat_mgoku+1;
        _this.alpha=_this.active?255:_this.floor(_this.sin(_this.i)*80)+80;
        __superClass.prototype.draw.apply( _this, [c]);
        _this.x=sx;
        _this.y=_this.sy;
      },
      jump :function _trc_Seed_jump() {
        "use strict";
        var _this=this;
        var i;
        
        for (i = - 1;
         i<=1 ; i+=0.5) {
          Tonyu.checkLoop();
          {
            _this.j=1-i*i;
            _this.update();
          }
        }
      },
      fiber$jump :function* _trc_Seed_f_jump(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var i;
        
        for (i = - 1;
         i<=1 ; i+=0.5) {
          yield null;
          {
            _this.j=1-i*i;
            (yield* _this.fiber$update(_thread));
          }
        }
        
      },
      activate :function _trc_Seed_activate() {
        "use strict";
        var _this=this;
        
        _this.active=true;
        _this.parallel("jump");
      },
      fiber$activate :function* _trc_Seed_f_activate(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        
        _this.active=true;
        _this.parallel("jump");
        
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false,"isMain":true,"vtype":{"params":[],"returnValue":null}},"draw":{"nowait":true,"isMain":false,"vtype":{"params":[null],"returnValue":null}},"jump":{"nowait":false,"isMain":false,"vtype":{"params":[],"returnValue":null}},"activate":{"nowait":false,"isMain":false,"vtype":{"params":[],"returnValue":null}}},"fields":{"i":{},"j":{},"sy":{},"active":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Sensor2',
  shortName: 'Sensor2',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Sensor2_main() {
        "use strict";
        var _this=this;
        
        while (true) {
          Tonyu.checkLoop();
          for (_this.i=0; _this.i<_this.m.row-1 ; _this.i++) {
            Tonyu.checkLoop();
            {
              for (_this.j=0; _this.j<_this.m.col-1 ; _this.j++) {
                Tonyu.checkLoop();
                {
                  _this.check(_this.j,_this.i,_this.j+0,_this.i+1);
                  _this.check(_this.j,_this.i,_this.j+1,_this.i+0);
                }
              }
            }
          }
          _this.update();
          for (_this.i=_this.m.row-1; _this.i>0 ; _this.i--) {
            Tonyu.checkLoop();
            {
              for (_this.j=_this.m.col-1; _this.j>0 ; _this.j--) {
                Tonyu.checkLoop();
                {
                  _this.check(_this.j,_this.i,_this.j-0,_this.i-1);
                  _this.check(_this.j,_this.i,_this.j-1,_this.i-0);
                }
              }
            }
          }
          _this.update();
          _this.checkend();
          
        }
      },
      fiber$main :function* _trc_Sensor2_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        
        while (true) {
          yield null;
          for (_this.i=0; _this.i<_this.m.row-1 ; _this.i++) {
            yield null;
            {
              for (_this.j=0; _this.j<_this.m.col-1 ; _this.j++) {
                yield null;
                {
                  _this.check(_this.j,_this.i,_this.j+0,_this.i+1);
                  _this.check(_this.j,_this.i,_this.j+1,_this.i+0);
                }
              }
            }
          }
          (yield* _this.fiber$update(_thread));
          for (_this.i=_this.m.row-1; _this.i>0 ; _this.i--) {
            yield null;
            {
              for (_this.j=_this.m.col-1; _this.j>0 ; _this.j--) {
                yield null;
                {
                  _this.check(_this.j,_this.i,_this.j-0,_this.i-1);
                  _this.check(_this.j,_this.i,_this.j-1,_this.i-0);
                }
              }
            }
          }
          (yield* _this.fiber$update(_thread));
          (yield* _this.fiber$checkend(_thread));
          
        }
        
      },
      onAppear :function _trc_Sensor2_onAppear() {
        "use strict";
        var _this=this;
        
        _this.m=new Tonyu.classes.user.Matrix({row: Tonyu.globals.$m.row,col: Tonyu.globals.$m.col});
        for (_this.i=0; _this.i<_this.m.row ; _this.i++) {
          Tonyu.checkLoop();
          {
            _this.putBorder(0,_this.i);
            _this.putBorder(_this.m.col-1,_this.i);
          }
        }
        for (_this.j=0; _this.j<_this.m.col ; _this.j++) {
          Tonyu.checkLoop();
          {
            _this.putBorder(_this.j,0);
            _this.putBorder(_this.j,_this.m.row-1);
          }
        }
        _this.killed={};
        _this.alpha=0;
        _this.parent.on("die",Tonyu.bindFunc(_this,_this.die));
      },
      fiber$onAppear :function* _trc_Sensor2_f_onAppear(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        
        _this.m=new Tonyu.classes.user.Matrix({row: Tonyu.globals.$m.row,col: Tonyu.globals.$m.col});
        for (_this.i=0; _this.i<_this.m.row ; _this.i++) {
          yield null;
          {
            (yield* _this.fiber$putBorder(_thread, 0, _this.i));
            (yield* _this.fiber$putBorder(_thread, _this.m.col-1, _this.i));
          }
        }
        for (_this.j=0; _this.j<_this.m.col ; _this.j++) {
          yield null;
          {
            (yield* _this.fiber$putBorder(_thread, _this.j, 0));
            (yield* _this.fiber$putBorder(_thread, _this.j, _this.m.row-1));
          }
        }
        _this.killed={};
        _this.alpha=0;
        _this.parent.on("die",Tonyu.bindFunc(_this,_this.die));
        
      },
      check :function _trc_Sensor2_check(x1,y1,x2,y2) {
        "use strict";
        var _this=this;
        var c1;
        var c2;
        
        if (_this.isSep(x1,y1)||_this.isSep(x2,y2)) {
          return _this;
        }
        c1 = _this.m.get(x1,y1);
        
        c2 = _this.m.get(x2,y2);
        
        if (c1==null) {
          return _this;
        }
        if (_this.killed[c1]) {
          return _this;
        }
        if (c2==null||c1<c2) {
          _this.m.set(x2,y2,c1);
          if (c1==0&&c2>0) {
            _this.killed[c2]=true;
          } else {
            if (c1>0&&! _this.killed[c1]) {
              _this.changed=true;
            }
          }
          
        }
      },
      checkend :function _trc_Sensor2_checkend() {
        "use strict";
        var _this=this;
        var i;
        var j;
        var mm;
        
        
        if (! _this.changed) {
          _this.fillArea=0;
          for (i=1; i<_this.m.row-2 ; i++) {
            Tonyu.checkLoop();
            {
              for (j=1; j<_this.m.col-2 ; j++) {
                Tonyu.checkLoop();
                {
                  mm=_this.m.get(j,i);
                  if (_this.killed[mm]) {
                    _this.m.set(j,i,0);
                  } else {
                    if (mm>0) {
                      _this.fillArea++;
                    }
                  }
                }
              }
            }
          }
          if (! _this.fillArea) {
            _this.die();
          }
          _this.parent.sendEvent("end",_this);
          while (true) {
            Tonyu.checkLoop();
            _this.alpha=0.5-_this.alpha;
            _this.updateEx(4);
            
          }
          
        }
        _this.changed=false;
      },
      fiber$checkend :function* _trc_Sensor2_f_checkend(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var i;
        var j;
        var mm;
        
        
        if (! _this.changed) {
          _this.fillArea=0;
          for (i=1; i<_this.m.row-2 ; i++) {
            yield null;
            {
              for (j=1; j<_this.m.col-2 ; j++) {
                yield null;
                {
                  mm=_this.m.get(j,i);
                  if (_this.killed[mm]) {
                    _this.m.set(j,i,0);
                  } else {
                    if (mm>0) {
                      _this.fillArea++;
                    }
                  }
                }
              }
            }
          }
          if (! _this.fillArea) {
            _this.die();
          }
          _this.parent.sendEvent("end",_this);
          while (true) {
            yield null;
            _this.alpha=0.5-_this.alpha;
            (yield* _this.fiber$updateEx(_thread, 4));
            
          }
          
        }
        _this.changed=false;
        
      },
      isSep :function _trc_Sensor2_isSep(x,y) {
        "use strict";
        var _this=this;
        var gc;
        
        gc = Tonyu.globals.$m.get(x,y);
        
        return gc==_this.parent.c;
      },
      fiber$isSep :function* _trc_Sensor2_f_isSep(_thread,x,y) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var gc;
        
        gc = Tonyu.globals.$m.get(x,y);
        
        return gc==_this.parent.c;
        
      },
      putBorder :function _trc_Sensor2_putBorder(x,y) {
        "use strict";
        var _this=this;
        
        _this.m.set(x,y,0);
      },
      fiber$putBorder :function* _trc_Sensor2_f_putBorder(_thread,x,y) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        
        _this.m.set(x,y,0);
        
      },
      draw :function _trc_Sensor2_draw(c) {
        "use strict";
        var _this=this;
        var i;
        var j;
        var mm;
        
        if (! Tonyu.bindFunc(_this,_this.show)) {
          return _this;
        }
        c.fillStyle=Tonyu.globals.$m.cols[_this.parent.c];
        c.globalAlpha=_this.alpha;
        for (i = 0;
         i<_this.m.row ; i++) {
          Tonyu.checkLoop();
          {
            for (j = 0;
             j<_this.m.col ; j++) {
              Tonyu.checkLoop();
              {
                mm = _this.m.get(j,i);
                
                if (mm>0) {
                  c.fillRect(j*16,i*16,16,16);
                  
                }
              }
            }
          }
        }
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false,"isMain":true,"vtype":{"params":[],"returnValue":null}},"onAppear":{"nowait":false,"isMain":false,"vtype":{"params":[],"returnValue":null}},"check":{"nowait":true,"isMain":false,"vtype":{"params":[null,null,null,null],"returnValue":null}},"checkend":{"nowait":false,"isMain":false,"vtype":{"params":[],"returnValue":null}},"isSep":{"nowait":false,"isMain":false,"vtype":{"params":[null,null],"returnValue":null}},"putBorder":{"nowait":false,"isMain":false,"vtype":{"params":[null,null],"returnValue":null}},"draw":{"nowait":true,"isMain":false,"vtype":{"params":[null],"returnValue":null}}},"fields":{"i":{},"m":{},"j":{},"killed":{},"parent":{},"changed":{},"fillArea":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Slider',
  shortName: 'Slider',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Slider_main() {
        "use strict";
        var _this=this;
        
        _this.height=30;
        while (true) {
          Tonyu.checkLoop();
          if (Tonyu.globals.$touches[0].touched) {
            if (Tonyu.globals.$mouseY>_this.y&&Tonyu.globals.$mouseY<_this.y+_this.height) {
              _this.idx = _this.floor((Tonyu.globals.$mouseX-_this.x)/_this.pitch);
              
              if (_this.idx>=0&&_this.idx<_this.values.length) {
                _this.value=_this.values[_this.idx];
                
              }
              
            }
            
          }
          _this.update();
          
        }
      },
      fiber$main :function* _trc_Slider_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        
        _this.height=30;
        while (true) {
          yield null;
          if (Tonyu.globals.$touches[0].touched) {
            if (Tonyu.globals.$mouseY>_this.y&&Tonyu.globals.$mouseY<_this.y+_this.height) {
              _this.idx = _this.floor((Tonyu.globals.$mouseX-_this.x)/_this.pitch);
              
              if (_this.idx>=0&&_this.idx<_this.values.length) {
                _this.value=_this.values[_this.idx];
                
              }
              
            }
            
          }
          (yield* _this.fiber$update(_thread));
          
        }
        
      },
      draw :function _trc_Slider_draw(c) {
        "use strict";
        var _this=this;
        var lbs;
        var i;
        var v;
        
        c.strokeStyle="white";
        c.fillStyle="white";
        c.beginPath();
        c.moveTo(_this.x,_this.y+10);
        c.lineTo(_this.x+_this.width,_this.y+10);
        c.stroke();
        lbs = _this.labels||_this.values;
        
        for ([i, v] of Tonyu.iterator2(_this.values,2)) {
          c.fillText(lbs[i],_this.x+i*_this.pitch,_this.y+25);
          if (v==_this.value) {
            c.fillRect(_this.x+i*_this.pitch,_this.y,10,20);
            
          }
          
        }
      },
      setValues :function _trc_Slider_setValues(v,l) {
        "use strict";
        var _this=this;
        
        _this.values=v;
        _this.labels=l;
        _this.value=v[0];
      },
      fiber$setValues :function* _trc_Slider_f_setValues(_thread,v,l) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        
        _this.values=v;
        _this.labels=l;
        _this.value=v[0];
        
      },
      __getter__value :function _trc_Slider___getter__value() {
        "use strict";
        var _this=this;
        
        return _this.obj[_this.name];
      },
      __setter__value :function _trc_Slider___setter__value(v) {
        "use strict";
        var _this=this;
        
        if (_this.value==v) {
          return _this;
        }
        _this.sendEvent("changed",{was: _this.value,v: v});
        Tonyu.globals.$sound.playSE(Tonyu.globals.$se_click);
        _this.obj[_this.name]=v;
      },
      __getter__pitch :function _trc_Slider___getter__pitch() {
        "use strict";
        var _this=this;
        
        return _this.width/(_this.values.length==1?1:(_this.values.length-1));
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false,"isMain":true,"vtype":{"params":[],"returnValue":null}},"draw":{"nowait":true,"isMain":false,"vtype":{"params":[null],"returnValue":null}},"setValues":{"nowait":false,"isMain":false,"vtype":{"params":[null,null],"returnValue":null}},"__getter__value":{"nowait":true,"isMain":false,"vtype":{"params":[],"returnValue":null}},"__setter__value":{"nowait":true,"isMain":false,"vtype":{"params":[null],"returnValue":null}},"__getter__pitch":{"nowait":true,"isMain":false,"vtype":{"params":[],"returnValue":null}}},"fields":{"idx":{},"values":{},"labels":{},"obj":{},"name":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Status',
  shortName: 'Status',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Status_main() {
        "use strict";
        var _this=this;
        
        _this.score=new Tonyu.classes.kernel.Actor({x: _this.x+8,y: _this.y+8,text: 0});
        Tonyu.globals.$m.on("scoreChanged",(function anonymous_155(e) {
          
          if (e.c!=_this.c) {
            return _this;
          }
          _this.score.text=e.score;
          _this.sscore=e.score;
        }));
        _this.on("die",(function anonymous_243() {
          
          _this.score.die();
        }));
        _this.waitEvent("result");
        _this.tms=Tonyu.globals.$gameBalance.teams==1?Tonyu.globals.$gameBalance.players:Tonyu.globals.$gameBalance.teams;
        for (_this.i=0; _this.i<10 ; _this.i++) {
          Tonyu.checkLoop();
          {
            _this.y=(_this.y+230)/2;
            _this.x+=(Tonyu.globals.$screenWidth/2-_this.tms*16)/10;
            _this.update();
          }
        }
        while (true) {
          Tonyu.checkLoop();
          for ([_this.a] of Tonyu.iterator2(_this.all(Tonyu.classes.user.Status),1)) {
            if ((_this.a.sscore-_this.sscore)*(_this.a.x-_this.x)>0) {
              _this.t=_this.x;
              _this.x=_this.a.x;
              _this.a.x=_this.t;
              
            }
            _this.update();
            
          }
          _this.update();
          
        }
      },
      fiber$main :function* _trc_Status_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        
        _this.score=new Tonyu.classes.kernel.Actor({x: _this.x+8,y: _this.y+8,text: 0});
        Tonyu.globals.$m.on("scoreChanged",(function anonymous_155(e) {
          
          if (e.c!=_this.c) {
            return _this;
          }
          _this.score.text=e.score;
          _this.sscore=e.score;
        }));
        _this.on("die",(function anonymous_243() {
          
          _this.score.die();
        }));
        (yield* _this.fiber$waitEvent(_thread, "result"));
        _this.tms=Tonyu.globals.$gameBalance.teams==1?Tonyu.globals.$gameBalance.players:Tonyu.globals.$gameBalance.teams;
        for (_this.i=0; _this.i<10 ; _this.i++) {
          yield null;
          {
            _this.y=(_this.y+230)/2;
            _this.x+=(Tonyu.globals.$screenWidth/2-_this.tms*16)/10;
            (yield* _this.fiber$update(_thread));
          }
        }
        while (true) {
          yield null;
          for ([_this.a] of Tonyu.iterator2(_this.all(Tonyu.classes.user.Status),1)) {
            if ((_this.a.sscore-_this.sscore)*(_this.a.x-_this.x)>0) {
              _this.t=_this.x;
              _this.x=_this.a.x;
              _this.a.x=_this.t;
              
            }
            (yield* _this.fiber$update(_thread));
            
          }
          (yield* _this.fiber$update(_thread));
          
        }
        
      },
      onAppear :function _trc_Status_onAppear() {
        "use strict";
        var _this=this;
        
        _this.num=0;
        _this.y=Tonyu.globals.$screenHeight-32+8;
        _this.x=(_this.c-2)*32+8;
        _this.p=Tonyu.globals.$pat_mgoku+3+_this.c;
      },
      fiber$onAppear :function* _trc_Status_f_onAppear(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        
        _this.num=0;
        _this.y=Tonyu.globals.$screenHeight-32+8;
        _this.x=(_this.c-2)*32+8;
        _this.p=Tonyu.globals.$pat_mgoku+3+_this.c;
        
      },
      onUpdate :function _trc_Status_onUpdate() {
        "use strict";
        var _this=this;
        
        _this.score.x=_this.x;
        _this.score.y=_this.y+8;
      },
      dropOut :function _trc_Status_dropOut(by) {
        "use strict";
        var _this=this;
        
        _this.num--;
        if (_this.num==0) {
          _this.parallel("replace",_this.c,by);
          
        }
      },
      fiber$dropOut :function* _trc_Status_f_dropOut(_thread,by) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        
        _this.num--;
        if (_this.num==0) {
          _this.parallel("replace",_this.c,by);
          
        }
        
      },
      replace :function _trc_Status_replace(from,to) {
        "use strict";
        var _this=this;
        var cnt;
        var i;
        var j;
        
        cnt = 0;
        
        for (i = 0;
         i<Tonyu.globals.$m.row ; i++) {
          Tonyu.checkLoop();
          {
            for (j = 0;
             j<Tonyu.globals.$m.col ; j++) {
              Tonyu.checkLoop();
              {
                if (Tonyu.globals.$m.get(j,i)==from) {
                  Tonyu.globals.$m.set(j,i,to);
                  if (cnt++>20) {
                    cnt=0;
                    _this.update();
                    
                  }
                  
                }
              }
            }
          }
        }
      },
      fiber$replace :function* _trc_Status_f_replace(_thread,from,to) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var cnt;
        var i;
        var j;
        
        cnt = 0;
        
        for (i = 0;
         i<Tonyu.globals.$m.row ; i++) {
          yield null;
          {
            for (j = 0;
             j<Tonyu.globals.$m.col ; j++) {
              yield null;
              {
                if (Tonyu.globals.$m.get(j,i)==from) {
                  Tonyu.globals.$m.set(j,i,to);
                  if (cnt++>20) {
                    cnt=0;
                    (yield* _this.fiber$update(_thread));
                    
                  }
                  
                }
              }
            }
          }
        }
        
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false,"isMain":true,"vtype":{"params":[],"returnValue":null}},"onAppear":{"nowait":false,"isMain":false,"vtype":{"params":[],"returnValue":null}},"onUpdate":{"nowait":true,"isMain":false,"vtype":{"params":[],"returnValue":null}},"dropOut":{"nowait":false,"isMain":false,"vtype":{"params":[null],"returnValue":null}},"replace":{"nowait":false,"isMain":false,"vtype":{"params":[null,null],"returnValue":null}}},"fields":{"score":{},"c":{},"sscore":{},"tms":{},"i":{},"a":{},"t":{},"num":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Target',
  shortName: 'Target',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Target_main() {
        "use strict";
        var _this=this;
        
        _this.tx=_this.ptx=_this.ty=_this.pty=0;
        while (true) {
          Tonyu.checkLoop();
          _this.first = true;
          
          while (Tonyu.globals.$touches[0].touched||_this.getkey(1)) {
            Tonyu.checkLoop();
            _this.tx=_this.floor(Tonyu.globals.$mouseX/16);
            _this.ty=_this.floor((Tonyu.globals.$mouseY-0)/16);
            if (_this.first) {
              _this.ai.clearPath();
              _this.first=false;
              _this.ai.addManualPath(_this.tx,_this.ty);
              
            } else {
              if (_this.ptx!=_this.tx||_this.pty!=_this.ty) {
                _this.ai.addManualPath(_this.tx,_this.ty);
                
              }
            }
            _this.ptx=_this.tx;
            _this.pty=_this.ty;
            _this.update();
            
          }
          _this.update();
          
        }
      },
      fiber$main :function* _trc_Target_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        
        _this.tx=_this.ptx=_this.ty=_this.pty=0;
        while (true) {
          yield null;
          _this.first = true;
          
          while (Tonyu.globals.$touches[0].touched||_this.getkey(1)) {
            yield null;
            _this.tx=_this.floor(Tonyu.globals.$mouseX/16);
            _this.ty=_this.floor((Tonyu.globals.$mouseY-0)/16);
            if (_this.first) {
              _this.ai.clearPath();
              _this.first=false;
              _this.ai.addManualPath(_this.tx,_this.ty);
              
            } else {
              if (_this.ptx!=_this.tx||_this.pty!=_this.ty) {
                _this.ai.addManualPath(_this.tx,_this.ty);
                
              }
            }
            _this.ptx=_this.tx;
            _this.pty=_this.ty;
            (yield* _this.fiber$update(_thread));
            
          }
          (yield* _this.fiber$update(_thread));
          
        }
        
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false,"isMain":true,"vtype":{"params":[],"returnValue":null}}},"fields":{"first":{},"tx":{},"ptx":{},"ty":{},"pty":{},"ai":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Timer',
  shortName: 'Timer',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Timer_main() {
        "use strict";
        var _this=this;
        
        _this.size=20;
        while (_this.alpha>0) {
          Tonyu.checkLoop();
          _this.size+=4;
          _this.y-=2;
          _this.alpha-=5;
          _this.update();
          
        }
      },
      fiber$main :function* _trc_Timer_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        
        _this.size=20;
        while (_this.alpha>0) {
          yield null;
          _this.size+=4;
          _this.y-=2;
          _this.alpha-=5;
          (yield* _this.fiber$update(_thread));
          
        }
        
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false,"isMain":true,"vtype":{"params":[],"returnValue":null}}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.Title',
  shortName: 'Title',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Title_main() {
        "use strict";
        var _this=this;
        
        if (! Tonyu.globals.$gameBalance) {
          Tonyu.globals.$gameBalance={time: 60,seeds: 50,speedUpTime: 40,players: 4,teams: 1,mute: true};
        }
        Tonyu.globals.$sound.mute=! ! Tonyu.globals.$gameBalance.mute;
        Tonyu.globals.$Screen.setBGColor("black");
        Tonyu.globals.$Screen.resize(24*16,32*16+32);
        Tonyu.globals.$panel.resize(Tonyu.globals.$screenWidth,Tonyu.globals.$screenHeight);
        Tonyu.globals.$panel.x=Tonyu.globals.$screenWidth/2;
        Tonyu.globals.$panel.y=Tonyu.globals.$screenHeight/2;
        Tonyu.globals.$panel.alpha=255;
        Tonyu.globals.$panel.setFillStyle("black");
        Tonyu.globals.$panel.fillRect(0,0,Tonyu.globals.$screenWidth,Tonyu.globals.$screenHeight);
        _this.p=- 1;
        _this.x=Tonyu.globals.$screenWidth/2;
        _this.y=30;
        new Tonyu.classes.kernel.Actor({text: "むほんむぉーん",x: _this.x,y: _this.y});
        _this.y-=50;
        _this.pls=_this.option("Players","players",_this.playersValues(Tonyu.globals.$gameBalance.teams));
        _this.tms=_this.option("Team play","teams",[1,2,3,4],["OFF","2 teams","3 teams","4 teams"]);
        _this.tms.on("changed",(function anonymous_634(e) {
          
          _this.pls.setValues(_this.playersValues(e.v));
        }));
        _this.option("Time","time",[30,60,90,120,150,180]);
        _this.option("Items","seeds",[10,25,50,75,100,150]);
        _this.option("Item Power","speedUpTime",[20,40,60,80]);
        _this.snd=_this.option("Sound","mute",[true,false],["OFF","ON"]);
        _this.snd.on("changed",(function anonymous_902(e) {
          
          Tonyu.globals.$sound.mute=e.v;
          if (! e.v) {
            Tonyu.globals.$sound.playSE(Tonyu.globals.$se_get1);
          }
        }));
        _this.y=Tonyu.globals.$screenHeight-60;
        new Tonyu.classes.user.Button({top: _this.y,text: "Start",onClick: (function anonymous_1031() {
          
          _this.loadPage(Tonyu.classes.user.Main);
        })});
        for (_this.i=255; _this.i>0 ; _this.i-=10) {
          Tonyu.checkLoop();
          {
            Tonyu.globals.$panel.alpha=_this.i;
            _this.update();
          }
        }
        _this.c=0;
        while (true) {
          Tonyu.checkLoop();
          _this.update();
          if (Tonyu.globals.$auto) {
            _this.c++;
            if (_this.c>60) {
              _this.loadPage(Tonyu.classes.user.Main);
            }
            
          }
          if (_this.getkey("r")==1) {
            Tonyu.globals.$auto=true;
          }
          if (_this.getkey(32)==1) {
            _this.loadPage(Tonyu.classes.user.Main);
          }
          
        }
      },
      fiber$main :function* _trc_Title_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        
        if (! Tonyu.globals.$gameBalance) {
          Tonyu.globals.$gameBalance={time: 60,seeds: 50,speedUpTime: 40,players: 4,teams: 1,mute: true};
        }
        Tonyu.globals.$sound.mute=! ! Tonyu.globals.$gameBalance.mute;
        Tonyu.globals.$Screen.setBGColor("black");
        Tonyu.globals.$Screen.resize(24*16,32*16+32);
        Tonyu.globals.$panel.resize(Tonyu.globals.$screenWidth,Tonyu.globals.$screenHeight);
        Tonyu.globals.$panel.x=Tonyu.globals.$screenWidth/2;
        Tonyu.globals.$panel.y=Tonyu.globals.$screenHeight/2;
        Tonyu.globals.$panel.alpha=255;
        Tonyu.globals.$panel.setFillStyle("black");
        Tonyu.globals.$panel.fillRect(0,0,Tonyu.globals.$screenWidth,Tonyu.globals.$screenHeight);
        _this.p=- 1;
        _this.x=Tonyu.globals.$screenWidth/2;
        _this.y=30;
        new Tonyu.classes.kernel.Actor({text: "むほんむぉーん",x: _this.x,y: _this.y});
        _this.y-=50;
        _this.pls=(yield* _this.fiber$option(_thread, "Players", "players", _this.playersValues(Tonyu.globals.$gameBalance.teams)));
        _this.tms=(yield* _this.fiber$option(_thread, "Team play", "teams", [1,2,3,4], ["OFF","2 teams","3 teams","4 teams"]));
        _this.tms.on("changed",(function anonymous_634(e) {
          
          _this.pls.setValues(_this.playersValues(e.v));
        }));
        (yield* _this.fiber$option(_thread, "Time", "time", [30,60,90,120,150,180]));
        (yield* _this.fiber$option(_thread, "Items", "seeds", [10,25,50,75,100,150]));
        (yield* _this.fiber$option(_thread, "Item Power", "speedUpTime", [20,40,60,80]));
        _this.snd=(yield* _this.fiber$option(_thread, "Sound", "mute", [true,false], ["OFF","ON"]));
        _this.snd.on("changed",(function anonymous_902(e) {
          
          Tonyu.globals.$sound.mute=e.v;
          if (! e.v) {
            Tonyu.globals.$sound.playSE(Tonyu.globals.$se_get1);
          }
        }));
        _this.y=Tonyu.globals.$screenHeight-60;
        new Tonyu.classes.user.Button({top: _this.y,text: "Start",onClick: (function anonymous_1031() {
          
          _this.loadPage(Tonyu.classes.user.Main);
        })});
        for (_this.i=255; _this.i>0 ; _this.i-=10) {
          yield null;
          {
            Tonyu.globals.$panel.alpha=_this.i;
            (yield* _this.fiber$update(_thread));
          }
        }
        _this.c=0;
        while (true) {
          yield null;
          (yield* _this.fiber$update(_thread));
          if (Tonyu.globals.$auto) {
            _this.c++;
            if (_this.c>60) {
              (yield* _this.fiber$loadPage(_thread, Tonyu.classes.user.Main));
            }
            
          }
          if (_this.getkey("r")==1) {
            Tonyu.globals.$auto=true;
          }
          if (_this.getkey(32)==1) {
            (yield* _this.fiber$loadPage(_thread, Tonyu.classes.user.Main));
          }
          
        }
        
      },
      playersValues :function _trc_Title_playersValues(v) {
        "use strict";
        var _this=this;
        
        if (v==1) {
          return [2,3,4,5,6,7,8,9];
        }
        if (v==2) {
          return [4,6,8];
        }
        if (v==3) {
          return [6,9];
        }
        if (v==4) {
          return [8];
        }
      },
      fiber$playersValues :function* _trc_Title_f_playersValues(_thread,v) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        
        if (v==1) {
          return [2,3,4,5,6,7,8,9];
        }
        if (v==2) {
          return [4,6,8];
        }
        if (v==3) {
          return [6,9];
        }
        if (v==4) {
          return [8];
        }
        
      },
      option :function _trc_Title_option(caption,name,values,labels) {
        "use strict";
        var _this=this;
        
        _this.y+=75;
        new Tonyu.classes.kernel.Actor({text: caption,x: _this.x-120,y: _this.y});
        return new Tonyu.classes.user.Slider({x: _this.x-60,y: _this.y,width: 200,values: values,labels: labels,obj: Tonyu.globals.$gameBalance,name: name});
      },
      fiber$option :function* _trc_Title_f_option(_thread,caption,name,values,labels) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        
        _this.y+=75;
        new Tonyu.classes.kernel.Actor({text: caption,x: _this.x-120,y: _this.y});
        return new Tonyu.classes.user.Slider({x: _this.x-60,y: _this.y,width: 200,values: values,labels: labels,obj: Tonyu.globals.$gameBalance,name: name});
        
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false,"isMain":true,"vtype":{"params":[],"returnValue":null}},"playersValues":{"nowait":false,"isMain":false,"vtype":{"params":[null],"returnValue":null}},"option":{"nowait":false,"isMain":false,"vtype":{"params":[null,null,null,null],"returnValue":null}}},"fields":{"pls":{},"tms":{},"snd":{},"i":{},"c":{}}}
});

//# sourceMappingURL=concat.js.map